# gleichgewicht
## Overview

The "gleichgewicht package" is designed for students at the Hochschule Luzern Technik & Architektur, with a specific focus on structural engineering. This package provides a comprehensive set of tools for analyzing structures and understanding the principles of gleichgewicht.

## Key Features

- **Equilibrium Analysis:** The core functionality of this package revolves around the analysis of structures using the principles of gleichgewicht. It allows students to input action forces and calculate the resulting reaction forces within a given system. The package is only capable of two-dimensional analysis.

- **Jupyter Environment:** The package is compatible with Jupyter notebooks, making it a versatile and interactive learning tool. Students can experiment with different scenarios and visualize the outcomes of their analyses.

## Usage

This package is intended to be used as a learning aid for students studying structural engineering. It empowers them to:

- Understand the principles of gleichgewicht and its application in structural analysis.
- Gain practical experience in calculating reaction forces based on given action forces.
- Experiment with various structural configurations and scenarios in a Jupyter notebook environment.

## Getting Started

To get started with the "Structural Equilibrium Analysis Package," follow these steps:

1. Install the package using the provided installation instructions.
```
pip install gleichgewicht
```

2. Import the package into your Jupyter notebook or Python environment.

3. Explore the package's documentation and tutorials to understand its capabilities and usage.

4. Start using the package to analyze different structural systems and deepen your understanding of gleichgewicht principles.

## Disclaimer

This package is intended for educational purposes and should be used in conjunction with classroom instruction and academic guidance. It is not a substitute for professional structural engineering software or expertise. Users are responsible for ensuring the accuracy and appropriateness of their analyses when applying the concepts learned through this package to real-world projects.
